dpp::audit_change
auditlog.h
std::string std::string dpp::audit_change::key key dpp::audit_change::key

The property name that was changed (e.g. `nick` for nickname changes).

For dpp::aut_appcommand_permission_update updates the key is the id of the user, channel, role, or a permission constant that was updated instead of an actual property name.

std::string std::string dpp::audit_change::new_value new_value dpp::audit_change::new_value

Optional: Serialised new value of the change, e.g. for nicknames, the new nickname.

std::string std::string dpp::audit_change::old_value old_value dpp::audit_change::old_value

Optional: Serialised old value of the change, e.g. for nicknames, the old nickname.

Defines audit log changes.

dpp::audit_change
key
new_value
old_value
std::basic_string< Char >
std::string
- dpp::audit_change
  key
- dpp::audit_change
  new_value
- dpp::audit_change
  old_value